clang 8.0.0

Classes | Public Member Functions | Public Attributes | List of all members
clang::CodeGen::CodeGenFunction::MultiVersionResolverOption Struct Reference

`#include "/work/www-prereleases/8.0.0/rc2/builddocs/llvm.src/tools/clang/lib/CodeGen/CodeGenFunction.h"`

Collaboration diagram for clang::CodeGen::CodeGenFunction::MultiVersionResolverOption:
[legend]

## Classes
struct | Conds

## Public Member Functions
| MultiVersionResolverOption (llvm::Function *F, StringRef Arch, ArrayRef< StringRef > Feats)

## Public Attributes
llvm::Function * | Function
FunctionDecl * | FD
struct clang::CodeGen::CodeGenFunction::MultiVersionResolverOption::Conds | Conditions

## Detailed Description

Definition at line 4302 of file CodeGenFunction.h.

## Constructor & Destructor Documentation

## ◆ MultiVersionResolverOption()

clang::CodeGen::CodeGenFunction::MultiVersionResolverOption::MultiVersionResolverOption | ( | llvm::Function * | F,
|  | StringRef | Arch,
|  | ArrayRef< StringRef > | Feats
| ) |  |
| inline

Definition at line 4313 of file CodeGenFunction.h.

## Member Data Documentation

## ◆ Conditions

struct clang::CodeGen::CodeGenFunction::MultiVersionResolverOption::Conds clang::CodeGen::CodeGenFunction::MultiVersionResolverOption::Conditions

Referenced by clang::CodeGen::CodeGenFunction::EmitSanitizerStatReport(), and TargetMVPriority().

## ◆ FD

FunctionDecl* clang::CodeGen::CodeGenFunction::MultiVersionResolverOption::FD

Definition at line 4304 of file CodeGenFunction.h.

## ◆ Function

llvm::Function* clang::CodeGen::CodeGenFunction::MultiVersionResolverOption::Function

Definition at line 4303 of file CodeGenFunction.h.

The documentation for this struct was generated from the following file:

- lib/CodeGen/CodeGenFunction.h